Skip to content

Update one validation rule.

PUT
/api/workspace/admin/entity-validation-rules/{validationRuleId}
curl --request PUT \
--url https://example.com/api/workspace/admin/entity-validation-rules/example \
--header 'Content-Type: application/json' \
--data '{ "Name": "example", "DisplayName": "example", "Expression": "example", "Message": "example", "Enabled": true, "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "MessageTranslations": { "additionalProperty": "example" } }'
  • None
validationRuleId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Update one entity validation rule.

object
Name
required

Stable technical validation rule key.

string
DisplayName
required

User-facing validation rule label.

string
Expression
required

Boolean validation expression.

string
Message
required

User-facing validation failure message.

string
Enabled

Whether this validation rule is active.

boolean
RowVersion
required

Concurrency token.

string format: uuid
MessageTranslations

Optional localized validation failure message templates keyed by locale.

object
key
additional properties
string
Examplegenerated
{
"Name": "example",
"DisplayName": "example",
"Expression": "example",
"Message": "example",
"Enabled": true,
"RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"MessageTranslations": {
"additionalProperty": "example"
}
}

OK

Media typeapplication/json
object
Data

Administrative entity validation rule definition.

object
Id

Validation rule identifier.

string
nullable
EntityDefinitionId

Owning entity definition identifier.

string
nullable
Name

Stable technical validation rule key.

string
nullable
DisplayName

User-facing validation rule label.

string
nullable
Expression

Validation expression.

string
nullable
Message

User-facing validation failure message.

string
nullable
MessageTranslations

Optional localized validation failure message templates keyed by locale.

object
key
additional properties
string
Enabled

Whether this validation rule is active.

boolean
SortOrder

Validation rule ordering inside the entity definition.

integer format: int32
IsDeleted

Whether the validation rule is soft-deleted.

boolean
DeletedAt

Soft-delete timestamp when deleted.

string format: date-time
nullable
RowVersion

Concurrency token.

string format: uuid
SchemaSource
integer format: int32
Allowed values: 0 1
SourceNetPackageId

Stable NET package root id when package-owned.

string
nullable
SourcePackageId

NET package artifact id when package-owned.

string
nullable
SourceStableId

Stable Moltaro id when package-owned.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"SchemaSource": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Administrative entity validation rule definition.

object
Id

Validation rule identifier.

string
nullable
EntityDefinitionId

Owning entity definition identifier.

string
nullable
Name

Stable technical validation rule key.

string
nullable
DisplayName

User-facing validation rule label.

string
nullable
Expression

Validation expression.

string
nullable
Message

User-facing validation failure message.

string
nullable
MessageTranslations

Optional localized validation failure message templates keyed by locale.

object
key
additional properties
string
Enabled

Whether this validation rule is active.

boolean
SortOrder

Validation rule ordering inside the entity definition.

integer format: int32
IsDeleted

Whether the validation rule is soft-deleted.

boolean
DeletedAt

Soft-delete timestamp when deleted.

string format: date-time
nullable
RowVersion

Concurrency token.

string format: uuid
SchemaSource
integer format: int32
Allowed values: 0 1
SourceNetPackageId

Stable NET package root id when package-owned.

string
nullable
SourcePackageId

NET package artifact id when package-owned.

string
nullable
SourceStableId

Stable Moltaro id when package-owned.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"SchemaSource": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Administrative entity validation rule definition.

object
Id

Validation rule identifier.

string
nullable
EntityDefinitionId

Owning entity definition identifier.

string
nullable
Name

Stable technical validation rule key.

string
nullable
DisplayName

User-facing validation rule label.

string
nullable
Expression

Validation expression.

string
nullable
Message

User-facing validation failure message.

string
nullable
MessageTranslations

Optional localized validation failure message templates keyed by locale.

object
key
additional properties
string
Enabled

Whether this validation rule is active.

boolean
SortOrder

Validation rule ordering inside the entity definition.

integer format: int32
IsDeleted

Whether the validation rule is soft-deleted.

boolean
DeletedAt

Soft-delete timestamp when deleted.

string format: date-time
nullable
RowVersion

Concurrency token.

string format: uuid
SchemaSource
integer format: int32
Allowed values: 0 1
SourceNetPackageId

Stable NET package root id when package-owned.

string
nullable
SourcePackageId

NET package artifact id when package-owned.

string
nullable
SourceStableId

Stable Moltaro id when package-owned.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"SchemaSource": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Administrative entity validation rule definition.

object
Id

Validation rule identifier.

string
nullable
EntityDefinitionId

Owning entity definition identifier.

string
nullable
Name

Stable technical validation rule key.

string
nullable
DisplayName

User-facing validation rule label.

string
nullable
Expression

Validation expression.

string
nullable
Message

User-facing validation failure message.

string
nullable
MessageTranslations

Optional localized validation failure message templates keyed by locale.

object
key
additional properties
string
Enabled

Whether this validation rule is active.

boolean
SortOrder

Validation rule ordering inside the entity definition.

integer format: int32
IsDeleted

Whether the validation rule is soft-deleted.

boolean
DeletedAt

Soft-delete timestamp when deleted.

string format: date-time
nullable
RowVersion

Concurrency token.

string format: uuid
SchemaSource
integer format: int32
Allowed values: 0 1
SourceNetPackageId

Stable NET package root id when package-owned.

string
nullable
SourcePackageId

NET package artifact id when package-owned.

string
nullable
SourceStableId

Stable Moltaro id when package-owned.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"SchemaSource": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}